/// <reference types="node" />
import { PassThrough, TransformOptions, Transform } from 'stream';
export interface IReadTarball {
    abort?: () => void;
}
export interface IUploadTarball {
    done?: () => void;
    abort?: () => void;
}
/**
 * This stream is used to read tarballs from repository.
 * @param {*} options
 * @return {Stream}
 */
declare class ReadTarball extends PassThrough implements IReadTarball {
    /**
     *
     * @param {Object} options
     */
    constructor(options: TransformOptions);
    abort(): void;
}
/**
 * This stream is used to upload tarballs to a repository.
 * @param {*} options
 * @return {Stream}
 */
declare class UploadTarball extends PassThrough implements IUploadTarball {
    /**
     *
     * @param {Object} options
     */
    constructor(options: any);
    abort(): void;
    done(): void;
}
/**
 * Converts a buffer stream to a string.
 */
declare const readableToString: (stream: any) => Promise<string>;
/**
 * Transform stream object  mode to string
 **/
declare const transformObjectToString: () => Transform;
export { ReadTarball, UploadTarball, readableToString, transformObjectToString };
